Skip to main content
GET
/
api
/
calls
/
{call_id}
/
events
cURL
curl --request GET \
  --url https://api.ultravox.ai/api/calls/{call_id}/events \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.ultravox.ai/api/calls/{call_id}/events"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.ultravox.ai/api/calls/{call_id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "results": [
    {
      "callId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "callStageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "callTimestamp": "<string>",
      "type": "<string>",
      "text": "<string>",
      "extras": {},
      "wallClockTimestamp": "<string>"
    }
  ],
  "next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
  "previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
  "total": 123
}

Authorizations

X-API-Key
string
header
required

API key

Path Parameters

call_id
string<uuid>
required

Query Parameters

cursor
string

The pagination cursor value.

minimum_severity
enum<string>
default:info

The minimum severity of events to include.

  • debug - debug
  • info - info
  • warning - warning
  • error - error
Available options:
debug,
info,
warning,
error
Minimum string length: 1
pageSize
integer

Number of results to return per page.

type
string

If set, restricts returned events to those of the given type.

Minimum string length: 1

Response

200 - application/json
results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cD00ODY%3D\""

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?cursor=cj0xJnA9NDg3"

total
integer
Example:

123